Chinaunix首页 | 论坛 | 博客
  • 博客访问: 684808
  • 博文数量: 112
  • 博客积分: 3889
  • 博客等级: 少校
  • 技术积分: 1448
  • 用 户 组: 普通用户
  • 注册时间: 2010-10-19 16:35
个人简介

追求卓越,成功就会在不经意间追上你

文章分类

全部博文(112)

文章存档

2015年(1)

2014年(2)

2013年(1)

2012年(16)

2011年(86)

2010年(6)

分类: LINUX

2011-05-30 14:12:37

这里是pps for fedora的包: ppstream_1.0_i386.rar   
其实它不是rar而是tar.gz为了上传才改成rar的,所以请下载完成后把rar替换成 tar.gz.
这个包里面有详细的安装说明,在这里我就不啰嗦啦。
如果没有出现任何异常,CONGRATULAITON! U FUCK IT !

但是呢,人生在世,不如意事常八九!所以,在安装过程中会出现一些小问题,也是很正常的啦,嘿嘿。比如说缺少flash-plugin啦,没有对/opt/pps的操作权限啦,找不到libQtWebkit.so.4文件啦等等等等

我们的作风是:发现问题,就要把它干掉!
怎么干掉它呢?!
古语有云:君子生非异也,善假于物也!假什么物呢?这就要看个人品味啦,比如说锄头呀,铲子啦,镰刀啦,双截棍啦,青龙偃月刀啦等等等等.....如果你自认为足够强悍的话,赤手空拳也未尝不可!

PS:千万别问我为什么不用现代化的武器!!!

言归正传,下面说说我在安装这个PPS时遇到的几个问题。
1.没有flash-plugin插件。因为鄙人用的谷歌浏览器内置了flashplyser,所以......所以就出现了前面的问题,这个很好解决,到网上随便下一个装上就是了!
2.运行完安装脚本后,pps不能正常打开,提示说没有对/opt/pps的操作权限。这个也很好办,用chown修改一个属主就是了(这个PPS默认只认root)
3.修改好后,还是无法正常支行。又一次提示说没有libQtWebKit.so.4文件。没有就装咯!你可以用
ldd /usr/bin/PPStream | grep -i "not found"
命令查看少什么,没什么就装什么。不过,在装这个的过程中又可能出现一些包的依赖问题。所以不要老是更新你的系统,有时后太前卫啦......低调
怎么解决呢,老鸟换新鸟!

总结:为什么在我的机子上会出现这么多问题呢?一句话,当然,这绝对不可能是人品问题!那到底是为什么呢?还是一句话:因为不久前我曾播下过一粒种子!为什么这们说呢?因为我之前就装过mplayer,smplayer;在安装也过程出现过一样的依赖问题,但全都被我忽略啦,神奇的是那些个播放器居然能正常运行,之后呢也没管那么多。
现在问题来了,怎么都跳不过啦。那就面对吧!卸掉那个qt,顺带把mplayer,smplayer也一同下了。再次运行pps的安装脚本,用安装脚本里的命令自动安装这些个东东!

PERFECT!!! 成功安装。
有图有真相,下面上图:

####压缩包里的install.sh文件被我注释掉了最后关于selinux设置的几行,各位可根据需要自行修改
####还有就是,我装的这个PPS只能用ROOT用户启动才可以正常播放在线影片。自己试着做过一些修改,####也在网上查了好久,问题依旧在。
####热烈欢迎各位同仁赐教,鄙人不胜感激

阅读(1151) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~